Auteur Topic: Python 3.6 op DS214+  (gelezen 256 keer)

Offline pven

  • Bedankjes
  • -Gegeven: 3
  • -Ontvangen: 0
  • Berichten: 7
Python 3.6 op DS214+
« Gepost op: 07 januari 2020, 19:24:27 »
Bazarr zal binnenkort alleen nog goed draaien op python3.6. Iemand een idee of het mogelijk is om python 3.6 op een DS214+ te installeren? Python 3.5 staat er op, maar blijkbaar is dat niet voldoende.
  • Mijn Synology: DS410/214+

Offline Briolet

  • Global Moderator
  • MVP
  • *
  • Bedankjes
  • -Gegeven: 120
  • -Ontvangen: 1782
  • Berichten: 11.811
Re: Python 3.6 op DS214+
« Reactie #1 Gepost op: 07 januari 2020, 20:30:40 »
Misschien dat Synology dat pakket eens update. Of anders de SynoCommunity. Die hebben nu ook een nieuwere versie van Python 3.5 dan Synology zelf.


Off-topic
Ik zag net op de Python site dat Python 2.x per april 2020 End of Life is. Op die datum zal de laatste update verschijnen. (link) Dus Synology zal hun Python binnenkort ook moeten vervangen. Nu staat er default nog versie 2.7.12 op:

Citaat
$ python
Python 2.7.12 (default, Mar 21 2019, 03:34:19)

NB, Vandaag was er nog een update op mijn nassen.

Overigens gebruikt mijn Mac standaard ook nog die oudere Python versie:

Citaat
$ python
Python 2.7.16 (default, Oct 16 2019, 00:35:27)
  • Mijn Synology: DS415+
  • HDD's: 3x 3TB in SHR

Offline aliazzz

  • MVP
  • *
  • Bedankjes
  • -Gegeven: 61
  • -Ontvangen: 104
  • Berichten: 924
  • Brains...
Re: Python 3.6 op DS214+
« Reactie #2 Gepost op: 07 januari 2020, 20:37:53 »
Python2? => gauw overstappen :o
Als 3.5 draait, zal 3.6 ook draaien..
DS1515+ 5*2TB SHR5 Btrfs (16GB Ram)
DS415+ 4*3TB  SHR5 Btrfs (8GB Ram)
RT2600ac + MR2200ac (meshed)

Offline pven

  • Bedankjes
  • -Gegeven: 3
  • -Ontvangen: 0
  • Berichten: 7
Re: Python 3.6 op DS214+
« Reactie #3 Gepost op: 07 januari 2020, 21:29:23 »
2.7.12 is al weer 3,5 jaar oud, ik denk niet dat Synology daar nog iets mee gaat doen.

Python2? => gauw overstappen :o
Als 3.5 draait, zal 3.6 ook draaien..
Hoe dan?
  • Mijn Synology: DS410/214+

Offline Briolet

  • Global Moderator
  • MVP
  • *
  • Bedankjes
  • -Gegeven: 120
  • -Ontvangen: 1782
  • Berichten: 11.811
Re: Python 3.6 op DS214+
« Reactie #4 Gepost op: 07 januari 2020, 22:15:56 »
Python2? => gauw overstappen :o

Dat kun je zelf niet doen. Dit is default in DSM ingebouwd. Ook als je geen aanvullend Python package installeert. (En blijkbaar ook op de mac)
  • Mijn Synology: DS415+
  • HDD's: 3x 3TB in SHR

Offline aliazzz

  • MVP
  • *
  • Bedankjes
  • -Gegeven: 61
  • -Ontvangen: 104
  • Berichten: 924
  • Brains...
Re: Python 3.6 op DS214+
« Reactie #5 Gepost op: 11 januari 2020, 11:59:12 »
Dat geloof ik eigenlijk niet, gewoon via een console de nieuwste python installeren moet mogelijk zijn lijkt mij...
Uiteindelijk is Synology DSM gewoon gebaseerd op een Linux distributie (welke eigenlijk?)


DS1515+ 5*2TB SHR5 Btrfs (16GB Ram)
DS415+ 4*3TB  SHR5 Btrfs (8GB Ram)
RT2600ac + MR2200ac (meshed)

Offline Briolet

  • Global Moderator
  • MVP
  • *
  • Bedankjes
  • -Gegeven: 120
  • -Ontvangen: 1782
  • Berichten: 11.811
Re: Python 3.6 op DS214+
« Reactie #6 Gepost op: 11 januari 2020, 12:18:51 »
Via de console kan alles. Als ik schrijf dat je dat niet zelf kan doen, bedoel ik ermee dat deze Python 2.7 geen onderdeel van een package is die je simpel kunt verwijderen. Er is alleen een Python Package die commando's toevoegt aan de bestaande Python 2.7 installatie.

Het Python 3.5 package kun je vast ook via de console op versie 3.6 of zelfs 3.8 kunnen brengen. Maar dat is niet voor iedereen weggelegd.
  • Mijn Synology: DS415+
  • HDD's: 3x 3TB in SHR

Offline aliazzz

  • MVP
  • *
  • Bedankjes
  • -Gegeven: 61
  • -Ontvangen: 104
  • Berichten: 924
  • Brains...
Re: Python 3.6 op DS214+
« Reactie #7 Gepost op: 11 januari 2020, 12:26:04 »
Gedver, de community wijst uiteraard naar de mogelijkheden van Docker, welke niet voorhanden is op een oudere NAS..
DS1515+ 5*2TB SHR5 Btrfs (16GB Ram)
DS415+ 4*3TB  SHR5 Btrfs (8GB Ram)
RT2600ac + MR2200ac (meshed)


 

python 3 directory

Gestart door walbergBoard Overige 3rd party packages

Reacties: 10
Gelezen: 1268
Laatste bericht 09 juni 2017, 19:18:22
door walberg
SABnzb vraagt om Python 2.7.3-3

Gestart door mrtn_88Board 3rd party Packages

Reacties: 4
Gelezen: 7111
Laatste bericht 09 oktober 2013, 13:29:33
door mrtn_88
syno community package python werkt niet

Gestart door franksetankBoard Synology DSM 5.1 en eerder

Reacties: 10
Gelezen: 3448
Laatste bericht 02 juli 2012, 08:59:56
door GreyForceOne
Rechten? Veranderingen in links?? Python simlinks?

Gestart door a.appelBoard 3rd party Packages

Reacties: 16
Gelezen: 2012
Laatste bericht 15 februari 2018, 09:11:03
door a.appel
SABnzbd+: python: can't open file '/usr/local/sabnzbd/var/scripts/sabToSickBeard

Gestart door 4L\/\/1|\|Board Download mods

Reacties: 2
Gelezen: 2163
Laatste bericht 04 december 2013, 15:32:41
door 4L\/\/1|\|
Synology-Forum.nl is een Nederlands gebruikersforum en staat volledig los van het merk Synology. Lees onze privacyverklaring.